
TYPO3.Neos - Task # 41660

Status: Resolved Priority: Must have
Author: Jochen Weiland Category:
Created: 2012-10-07 Assigned To: Karsten Dambekalns
Updated: 2012-12-17 Due date:
Subject: Fatal Error in Package Management
Description

NEOS-1.0alpha1 Installation, Demo Web Site:

When you are logged into the NEOS BE, go to Administration and then click on the link Package Management you get a fatal error:

Fatal error: Call to undefined method TYPO3\Flow\Package\MetaData::getTitle() in
/.../NEOS-1.0alpha1/Data/Temporary/Production/Cache/Code/Flow_Object_Classes/TYPO3_TYPO3_Controller_Module_Administration_PackagesController_Original.php on line 45
ion_PackagesController_Original.php on line 45

History
#1 - 2012-10-18 15:32 - Marc Bastian Heinrichs
- File BUGFIX-Missing-functions-get-set-Title-in-package.patch added

From http://blog.mittwald.de/wp-content/uploads/2012/10/0001-BUGFIX-Missing-functions-get-set-Title-in-package-me.patch

#2 - 2012-10-18 17:57 - Stephan no-lastname-given

when you want to install a package you get this error:

Fatal error: Call to undefined method TYPO3\Flow\Package\PackageManager::importPackage() in
/kunden/187788_70794/rp-hosting/6604/7604/typo3neos/NEOS-1.0alpha1/Data/Temporary/Production/Cache/Code/Flow_Object_Classes/TYPO3_TYPO3_Controller_Module_Administration_PackagesController_Original.php on line 92
PO3_Controller_Module_Administration_PackagesController_Original.php on line 92

try neos-test.de

#3 - 2012-12-17 18:10 - Karsten Dambekalns
- Status changed from New to Resolved
- Assigned To set to Karsten Dambekalns
- % Done changed from 0 to 100

#4 - 2012-12-17 18:10 - Karsten Dambekalns
- Project changed from Base Distribution to TYPO3.Neos

Files
BUGFIX-Missing-functions-get-set-Title-in-package.patch 1.8 kB 2012-10-18 Marc Bastian Heinrichs
http://blog.mittwald.de/wp-content/uploads/2012/10/0001-BUGFIX-Missing-functions-get-set-Title-in-package-me.patch

